Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_DynUnion_i Class Reference

`#include <DynUnion_i.h>`

Inheritance diagram for TAO_DynUnion_i:

[legend]
Collaboration diagram for TAO_DynUnion_i:

[legend]
List of all members.

## Public Methods
| TAO_DynUnion_i (void)
| Constructor.
| ~TAO_DynUnion_i (void)
| Destructor.
void | init (const CORBA::Any &any ACE_ENV_ARG_DECL)
| Constructor taking an Any argument.
void | init (CORBA::TypeCode_ptr tc ACE_ENV_ARG_DECL)
| Constructor taking a typecode argument.
virtual DynamicAny::DynAny_ptr | get_discriminator (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException )
virtual void | set_discriminator (DynamicAny::DynAny_ptr d ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch )
virtual void | set_to_default_member (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch )
virtual void | set_to_no_active_member (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch )
virtual CORBA::Boolean | has_no_active_member (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException )
virtual CORBA::TCKind | discriminator_kind (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException )
virtual DynamicAny::DynAny_ptr | member (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::InvalidValue )
virtual char * | member_name (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::InvalidValue )
virtual CORBA::TCKind | member_kind (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::InvalidValue )
virtual void | from_any (const CORBA::Any &value ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual CORBA::Any * | to_any (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException )
virtual CORBA::Boolean | equal (DynamicAny::DynAny_ptr dyn_any ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException )
virtual void | destroy (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException )
virtual DynamicAny::DynAny_ptr | current_component (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch )
## Static Public Methods
TAO_DynUnion_i * | _narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
## Private Methods
void | set_from_any (const CORBA::Any &any, CORBA::Boolean from_factory ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAnyFactory::InconsistentTypeCode )
void | init_common (void)
| Called by both versions of init().
CORBA::Boolean | label_match (const CORBA::Any &my_any, const CORBA::Any &other_any ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException )
| Iterative check for label value match.
| TAO_DynUnion_i (const TAO_DynUnion_i &src)
| Use copy() or assign() instead of these.
TAO_DynUnion_i & | operator= (const TAO_DynUnion_i &src)
## Private Attributes
DynamicAny::DynAny_var | member_
| Just two components.
DynamicAny::DynAny_var | discriminator_
CORBA::ULong | member_slot_
| The active member's slot in the union type code.

## Detailed Description

Implementation of Dynamic Any type for Unions.

## Constructor & Destructor Documentation

TAO_DynUnion_i::TAO_DynUnion_i | ( | void |  | ) |

| Constructor.

TAO_DynUnion_i::~TAO_DynUnion_i | ( | void |  | ) |

| Destructor.

TAO_DynUnion_i::TAO_DynUnion_i | ( | const TAO_DynUnion_i & | src | ) | `[private]`

| Use copy() or assign() instead of these.

## Member Function Documentation

TAO_DynUnion_i* TAO_DynUnion_i::_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| Reimplemented from DynamicAny::DynUnion.

DynamicAny::DynAny_ptr TAO_DynUnion_i::current_component | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch )`[virtual]`

| Implements DynamicAny::DynAny.

void TAO_DynUnion_i::destroy | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[virtual]`

| Implements DynamicAny::DynAny.

CORBA::TCKind TAO_DynUnion_i::discriminator_kind | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[virtual]`

| Implements DynamicAny::DynUnion.

virtual CORBA::Boolean TAO_DynUnion_i::equal | ( | DynamicAny::DynAny_ptr dyn_any | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException )`[virtual]`

| Implements DynamicAny::DynAny.

virtual void TAO_DynUnion_i::from_any | ( | const CORBA::Any &value | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Implements DynamicAny::DynAny.

DynamicAny::DynAny_ptr TAO_DynUnion_i::get_discriminator | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[virtual]`

| Implements DynamicAny::DynUnion.

CORBA::Boolean TAO_DynUnion_i::has_no_active_member | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[virtual]`

| Implements DynamicAny::DynUnion.

void TAO_DynUnion_i::init | ( | CORBA::TypeCode_ptr tc | ACE_ENV_ARG_DECL | ) |

| Constructor taking a typecode argument.

void TAO_DynUnion_i::init | ( | const CORBA::Any &any | ACE_ENV_ARG_DECL | ) |

| Constructor taking an Any argument.

void TAO_DynUnion_i::init_common | ( | void |  | ) | `[private]`

| Called by both versions of init().

CORBA::Boolean TAO_DynUnion_i::label_match | ( | const CORBA::Any & | my_any,
|  | const CORBA::Any &other_any | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw ( CORBA::SystemException )`[private]`

| Iterative check for label value match.

DynamicAny::DynAny_ptr TAO_DynUnion_i::member | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Implements DynamicAny::DynUnion.

CORBA::TCKind TAO_DynUnion_i::member_kind | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Implements DynamicAny::DynUnion.

char * TAO_DynUnion_i::member_name | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Implements DynamicAny::DynUnion.

TAO_DynUnion_i& TAO_DynUnion_i::operator= | ( | const TAO_DynUnion_i & | src | ) | `[private]`

virtual void TAO_DynUnion_i::set_discriminator | ( | DynamicAny::DynAny_ptr d | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch )`[virtual]`

| Implements DynamicAny::DynUnion.

void TAO_DynUnion_i::set_from_any | ( | const CORBA::Any & | any,
|  | CORBA::Boolean from_factory | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAnyFactory::InconsistentTypeCode )`[private]`

| Code common to the constructor from an Any arg and the member function from_any().

void TAO_DynUnion_i::set_to_default_member | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch )`[virtual]`

| Implements DynamicAny::DynUnion.

void TAO_DynUnion_i::set_to_no_active_member | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch )`[virtual]`

| Implements DynamicAny::DynUnion.

CORBA::Any_ptr TAO_DynUnion_i::to_any | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[virtual]`

| Implements DynamicAny::DynAny.

## Member Data Documentation

DynamicAny::DynAny_var TAO_DynUnion_i::discriminator_`[private]`

DynamicAny::DynAny_var TAO_DynUnion_i::member_`[private]`

| Just two components.

CORBA::ULong TAO_DynUnion_i::member_slot_`[private]`

| The active member's slot in the union type code.

The documentation for this class was generated from the following files:

- DynUnion_i.h
- DynUnion_i.cpp